import 'package:pea_cremation/shares/months.dart';

class User {
  int id;
  String serial;
  String memberType;
  String memberCode;
  String firstName;
  String lastName;
  String isApplyPolicy;
  String coverImagePath;
  String personalID;
  String birthDate;
  String displayBirthDate;
  String email;
  String mobile;
  String address;
  String provinceId;
  String amphureId;
  String districtId;
  String province;
  String amphure;
  String district;
  String zipCode;
  String receiveLetter;

  User(
      {this.id,
      this.serial,
      this.memberType,
      this.memberCode,
      this.firstName,
      this.lastName,
      this.isApplyPolicy,
      this.coverImagePath,
      this.personalID,
      this.birthDate,
      this.displayBirthDate,
      this.email,
      this.mobile,
      this.address,
      this.provinceId,
      this.amphureId,
      this.districtId,
      this.province,
      this.amphure,
      this.district,
      this.zipCode,
      this.receiveLetter});

  User.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        serial = json['serial'],
        memberType = json['member_type'],
        memberCode = json['member_code'],
        firstName = json['fname'],
        lastName = json['lname'],
        isApplyPolicy = json['isApplyPolicy'],
        coverImagePath = json['cover_image_path'],
        personalID = json['idcard'],
        email = json['email'],
        mobile = json['mobile'],
        address = json['address'],
        provinceId = json['province_id'].toString(),
        amphureId = json['amphur_id'].toString(),
        districtId = json['district_id'].toString(),
        province = json['province'],
        amphure = json['amphur'],
        district = json['district'],
        birthDate = json['birth_day'],
        displayBirthDate = genDisplayBirthDate("${json['birth_day_year']}",
            "${json['birth_day_month']}", "${json['birth_day_date']}"),
        zipCode = json['zipcode'],
        receiveLetter = json['IsReceiveLetter'];

  Map<String, dynamic> toJson() => {
        'id': id,
        'serial': serial,
        'member_type': memberType,
        'fname': firstName,
        'lname': lastName,
        'member_code': memberCode,
        'isApplyPolicy': isApplyPolicy,
        'cover_image_path': coverImagePath,
        'idcard': personalID,
        'birth_day': birthDate,
        'display_birth_day': displayBirthDate,
        'email': email,
        'mobile': mobile,
        'address': address,
        'province_id': provinceId,
        'amphur_id': amphureId,
        'district_id': districtId,
        'province': province,
        'amphur': amphure,
        'district': district,
        'zipcode': zipCode,
        'IsReceiveLetter': receiveLetter
      };

  static String genDisplayBirthDate(String year, String month, String day) {
    try {
      int bYear = int.parse(year);

      if (bYear > 2500) {
        return "$day-$month-$bYear";
      } else {
        return "$day-$month-${bYear + 543}";
      }
    } catch(e) {
      print(e);
      return "";
    }
  }

  void updateDisplayBirthDate() {
    var birthDates = this.birthDate.split("-");
    this.displayBirthDate = genDisplayBirthDate(birthDates[0], birthDates[1], birthDates[2]);
  }
}
