
import 'dart:collection';
import 'dart:convert';

import 'package:pea_cremation/domain/model/user.dart';
import 'package:shared_preferences/shared_preferences.dart';

class BaseService {

  final Future<SharedPreferences> _preferences = SharedPreferences.getInstance();
  final String baseUrl = 'https://cremation2020.pea.co.th/api';
  final Map<String, String> requestHeaders = {
    "accept": "application/json",
    "Content-Type": "application/json; charset=utf-8"
  };

  Future<User> user;

  void setToken(String token) async {
    SharedPreferences pref = await _preferences;
    pref.setString("Token", token);
  }

  Future<String> getToken() async {
    SharedPreferences pref = await _preferences;
    return pref.getString("Token");
  }


  void saveUser(User user) async {
    SharedPreferences pref = await _preferences;
    print('save user');
    pref.setString("User", json.encode(user));
  }

  Future<User> loadUser() async {
    print('load user');
    SharedPreferences pref = await _preferences;
    User user = User.fromJson(json.decode(pref.getString("User")));

    print('load user');

    this.user = getFutureUser(user);

    return user;
  }

  Future<Map<String, String>> getAuthorizedHeader() async {
    var token = await getToken();

    Map<String, String> header = HashMap();
    header.addAll(requestHeaders);
    header['Authorization'] = "Bearer $token";

    return header;
  }

  Future<User> getFutureUser(User user) async{
    return user;
  }
}