import 'dart:convert';

import 'package:pea_cremation/domain/model/gainer.dart';
import 'package:pea_cremation/domain/model/resposibility_member.dart';
import 'package:pea_cremation/domain/service/base_service.dart';
import 'package:http/http.dart' as http;

class BenefitService extends BaseService {

  Future<List<Gainer>> getGainerList() async {
    final response = await http.get('$baseUrl/getBeneficiary',
        headers: await getAuthorizedHeader());

    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results']['data'] as List;
      List<Gainer> gainerList = results.map((json) => Gainer.fromJson(json)).toList();

      return gainerList;
    } else {
      throw Exception(response.body);
    }
  }
  Future<List<ResposibilityMember>> getResposibleList() async {
    final response = await http.get('$baseUrl/getResposibilityMember',
        headers: await getAuthorizedHeader());

    print(response.statusCode);

    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results']['data'] as List;
      List<ResposibilityMember> gainerList = results.map((json) => ResposibilityMember.fromJson(json)).toList();

      print(results);

      return gainerList;
    } else {
      print('err');

      throw Exception(response.body);
    }
  }

}