import 'dart:convert';

import 'package:pea_cremation/domain/model/dead_member.dart';
import 'package:pea_cremation/domain/service/base_service.dart';
import 'package:http/http.dart' as http;

class DeadService extends BaseService {

  Future<dynamic> getDeadMemberWithTotalCount(int month, int year, int page) async {
    final response = await http.get('$baseUrl/getMemberDead?month=$month&year=$year&page=$page&perpage=20',
        headers: await getAuthorizedHeader());

    print(response.request.url);

    if (response.statusCode == 200) {
      return json.decode(response.body)['results'];
    } else {
      throw Exception(response.body);
    }
  }

  Future<List<DeadMember>> getDeadMember(int month, int year, int page) async {
    final response = await http.get('$baseUrl/getMemberDead?month=$month&year=$year&page=$page&perpage=20',
        headers: await getAuthorizedHeader());

    print(response.request.url);
    print(response.body);

    if (response.statusCode == 200) {
      try {
        var results = json.decode(response.body)['results']['data'] as List;

        List<DeadMember> deadList = results.map((json) =>
            DeadMember.fromJson(json)).toList();

        return deadList;
      } catch(e) {
        print(e);
      }
    } else {
      throw Exception(response.body);
    }
  }
}