import 'dart:convert';

import 'package:intl/intl.dart';
import 'package:pea_cremation/domain/model/news.dart';
import 'package:http/http.dart' as http;
import 'package:pea_cremation/domain/service/base_service.dart';

class NewsService extends BaseService {

  Future<List<News>> getInformationData(int start, int rows) async {
    final from = DateFormat('yyyy-MM-dd hh:mm:ss').format(DateTime.now());
    final to = '2016-01-01 00:00:00';

    final response = await http.get(
        '$baseUrl/getInformationData?display_date_from=$to&display_date_to=$from&row_from=$start&return_row_count=$rows',
        headers: await getAuthorizedHeader());


    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results'] as List;

      print(results);

      List<News> newsList = results.map((json) => News.fromJson(json)).toList();

      print('$start -> $rows : ${newsList.length}');

      return newsList;
    } else {
      throw Exception(response.body);
    }
  }
}