import 'dart:convert';

import 'package:pea_cremation/domain/model/district.dart';
import 'package:pea_cremation/domain/model/file_link.dart';
import 'package:pea_cremation/domain/model/province.dart';
import 'package:pea_cremation/domain/model/sub_district.dart';
import 'package:pea_cremation/domain/service/base_service.dart';
import 'package:http/http.dart' as http;

class OtherService extends BaseService {

  Future<List<FileLink>> getFileList() async {
    final response = await http.get(
        '$baseUrl/getDocumentForm',
        headers: await getAuthorizedHeader());


    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results']['data'] as List;

      print(results);

      List<FileLink>  fileList = results.map((json) => FileLink.fromJson(json)).toList();

      return fileList;
    } else {
      throw Exception(response.body);
    }
  }

  Future<List<Province>> getProvinceList() async {
    final response = await http.get(
        '$baseUrl/getProvince',
        headers: await getAuthorizedHeader());

    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results'] as List;

      print(results);

      List<Province>  provinceList = results.map((json) => Province.fromJson(json)).toList();

      return provinceList;
    } else {
      throw Exception(response.body);
    }
  }

  Future<List<District>> getDistrictList(String provinceId) async {
    final response = await http.get(
        '$baseUrl/getAmphur?province_id=$provinceId',
        headers: await getAuthorizedHeader());

    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results'] as List;

      print(results);

      List<District>  districtList = results.map((json) => District.fromJson(json)).toList();

      print("$districtList");

      return districtList;
    } else {
      throw Exception(response.body);
    }
  }

  Future<List<SubDistrict>> getSubDistrictList(String amphurId) async {
    final response = await http.get(
        '$baseUrl/getTambon?amphur_id=$amphurId',
        headers: await getAuthorizedHeader());

    if (response.statusCode == 200) {
      var results = json.decode(response.body)['results'] as List;

      print(results);

      List<SubDistrict>  districtList = results.map((json) => SubDistrict.fromJson(json)).toList();

      return districtList;
    } else {
      throw Exception(response.body);
    }
  }
}