import 'dart:convert';
import 'package:pea_cremation/domain/model/invoice_info.dart';
import 'package:pea_cremation/domain/model/receipt_info.dart';
import 'package:pea_cremation/domain/service/base_service.dart';
import 'package:http/http.dart' as http;


class PaymentService extends BaseService {

  Future<InvoiceInfo> getCurrentInvoice() async {
    final response = await http.get('$baseUrl/getInvoiceCurrent',
        headers: await getAuthorizedHeader());

    print(response.request.url);

    if (response.statusCode == 200) {
      var result = json.decode(response.body)['results'];

      return InvoiceInfo.fromJson(Map<String, dynamic>.from(result));
    } else {
      throw Exception(response.body);
    }
  }

  Future<dynamic> getReceiptInvoiceHistory(int month, int year) async {
    final response = await http.get('$baseUrl/getReceiptInvoiceHistory?month=$month&year=$year',
        headers: await getAuthorizedHeader());

    print(response.request.url);

    if (response.statusCode == 200) {
      return json.decode(response.body)['results'];
    } else {
      throw Exception(response.body);
    }
  }

  Future<ReceiptInfo> getReceipt(int month, int year, String receiveNo) async {
    final response = await http.get('$baseUrl/getReceipt?month=$month&year=$year&receive_no=$receiveNo',
        headers: await getAuthorizedHeader());

    print(response.request.url);
    print(response.body);

    if (response.statusCode == 200) {
      var result = json.decode(response.body)['results'];

      return ReceiptInfo.fromJson(Map<String, dynamic>.from(result));
    } else {
      throw Exception(response.body);
    }
  }

  Future<InvoiceInfo> getInvoice(String month, String year) async {
    final response = await http.get('$baseUrl/getInvoice?month=$month&year=$year',
        headers: await getAuthorizedHeader());

    print(response.request.url);
    print(response.body);

    if (response.statusCode == 200) {
      var result = json.decode(response.body)['results'];

      return InvoiceInfo.fromJson(Map<String, dynamic>.from(result));
    } else {
      throw Exception(response.body);
    }
  }
  // fun
}