import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:intl/intl.dart';
import 'package:pea_cremation/pages/landing/landing_page.dart';
import 'package:pea_cremation/pages/landing/landing_page_view_model.dart';
import 'package:pea_cremation/pages/personal/personal_page.dart';
import 'package:pea_cremation/pages/personal/personal_page_view_model.dart';
import 'package:pea_cremation/pea_cremation.dart';
import 'package:provider/provider.dart';

Future main() async {
  WidgetsFlutterBinding.ensureInitialized(); // ensure flutter initialized.
  Intl.defaultLocale = 'en_US';

  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown,
    ]);

    return MaterialApp(
        title: 'PEA',
        theme: ThemeData(
            primarySwatch: Colors.blue,
            visualDensity: VisualDensity.adaptivePlatformDensity,
            fontFamily: 'Kanit'),
        home: ChangeNotifierProvider(
          create: (context) => LandingPageViewModel(),
          child: LandingPage(),
        ),
        routes: PEACremation.getRoutes(),
        onGenerateRoute: (routeSettings) {
          if (routeSettings.name == PersonalPage.routeName + "_")
            return PageRouteBuilder(
                pageBuilder: (_, a1, a2) => ChangeNotifierProvider(
                      create: (context) => PersonalPageViewModel(),
                      child: PersonalPage(),
                    ));

          return null;
        });
  }
}
