import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:flutter_html/style.dart';
import 'package:pea_cremation/shares/app_drawer.dart';

class AboutUsPage extends StatefulWidget {
  static const routeName = '/aboutUsPage';
  @override
  _AboutUsPageState createState() => _AboutUsPageState();
}

class _AboutUsPageState extends State<AboutUsPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        toolbarHeight: 120,
        title: SizedBox(
          width: double.infinity,
          child: Padding(
            padding: const EdgeInsets.only(left: 16, top: 24),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("เกี่ยวกับเรา",
                    style: TextStyle(color: Colors.white, fontSize: 24)),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 16.0),
                  child: Text("แผนกฌาปนกิจสงเคราะห์",
                      style: TextStyle(color: Colors.white, fontSize: 24)),
                )
              ],
            ),
          ),
        ),
        backgroundColor: Color(0xFF7F3F97),
        leading: AppDrawer.appBarLeadIcon(context),
      ),
      drawer: AppDrawer().getAppDrawer(context),
      backgroundColor: Color(0xFF453654),
      body: SafeArea(
          child: SingleChildScrollView(
            child: Padding(
              padding: const EdgeInsets.only(top:16, left:24.0, right:24.0, bottom: 32.0),
              child: Column(
                children: [
                  Html(data: "<p><b>“การฌาปนกิจสงเคราะห์ การไฟฟ้าส่วนภูมิภาค”</b> จัดตั้งขึ้นโดยมีวัตถุประสงค์ เพื่อทำการสงเคราะห์ซึ่งกันและกันในการจัดการศพ หรือจัดการศพและสงเคราะห์ครอบครัวของสมาชิกที่ถึงแก่ความตายด้วยเงินสงเคราะห์ โดยไม่ประสงค์จะนำกำไรหรือหารายได้เพื่อแบ่งปันกัน</p>",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(16))}),
                  Html(data: "<p><b>สมาชิกฌาปนกิจสงเคราะห์</b> มี 3 ประเภท ได้แก่",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(16))}),
                  Html(data: "<ol>"
                      "<li>สมาชิกประเภท 1 คือ พนักงานการไฟฟ้าส่วนภูมิภาค</li>"
                      "<li>สมาชิกประเภท 2 คือ คู่สมรส (โดยชอบตามกฎหมาย) ของพนักงานการไฟฟ้าส่วนภูมิภาค</li>"
                      "<li>สมาชิกประเภท 3 คือ อดีตพนักงานการไฟฟ้าส่วนภูมิภาคพร้อมคู่สมรส</li>"
                      "</ol></p>",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(14))}),
                  Html(data: "<p><b>หน้าที่ของสมาชิกฌาปนกิจสงเคราะห์",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(16))}),
                  Html(data: "<ol>"
                      "<li>เมื่อสมาชิกการฌาปนกิจสงเคราะห์ การไฟฟ้าส่วนภูมิภาค คนใดคนหนึ่งถึงแก่ความตาย สมาชิกทุกคนมีหน้าที่ต้องชำระเงินสงเคราะห์เพื่อเป็นค่าจัดการศพและสงเคราะห์ครอบครัวให้แก่ครอบครัวของสมาชิกที่ตายนั้น รายละ 5.- บาท</li>"
                      "<li>สมาชิกประเภท 1 เป็นผู้ชำระเงินฌาปนกิจสงเคราะห์แทน สมาชิกประเภท 2</li>"
                      "<li>สมาชิกทุกคนมีหน้าที่ต้องส่งหลักฐานการเปลี่ยนแปลงสถานะของคู่สมรส (หย่าร้าง) ให้แผนกฌาปนกิจสงเคราะห์ กองสวัสดิการ การไฟฟ้าส่วนภูมิภาค หากสมาชิกประเภท 2 (คู่สมรสพนักงาน) หย่ากับสมาชิกประเภท 1 ก่อนวันที่  24 มกราคม 2554 สมาชิกประเภท 2 จะไม่มีสิทธิ์เป็นสมาชิกฌาปนกิจสงเคราะห์ การไฟฟ้าส่วนภูมิภาค</li>"
                      "<li>สมาชิกทุกคนมีหน้าที่ต้องแจ้งที่อยู่และเบอร์โทรศัพท์ที่สามารถติดต่อได้</li>"
                      "</ol></p>",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(14))}),
                  Html(data: "<p><b>สิทธิของสมาชิกฌาปนกิจสงเคราะห์",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(16))}),
                  Html(data: "<ol>"
                      "<li>สมาชิกทุกคนมีสิทธิเปลี่ยนแปลงผู้รับประโยชน์ โดยส่งแบบฟอร์มเปลี่ยนแปลงแก้ไขผู้รับประโยชน์ฉบับจริงให้กองสวัสดิการ</li>"
                      "<li>เมื่อสมาชิกถึงแก่ความตายผู้รับประโยชน์ มีสิทธิขอเบิกเงินยืมทดรองจ่ายเพื่อจัดการศพได้ 100,000.- บาท และได้ค่าหรีดเคารพศพ จำนวน 1,000.- บาท</li>"
                      "</ol></p>",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(14))}),
                  Html(data: "<p><b>วิธีการชำระเงินฌาปนกิจสงเคราะห์สำหรับสมาชิกฌาปนกิจสงเคราะห์ประเภท 3",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(16))}),
                  Html(data: "<div>"
                      "<div>&nbsp;&nbsp;&nbsp;&nbsp;วิธีที่ 1 	เคาน์เตอร์ธนาคารกรุงไทย จำกัด (มหาชน) ทุกสาขาทั่วประเทศ (ค่าธรรมเนียมรายการละ 5.- บาท)</div>"
                      "<div>&nbsp;&nbsp;&nbsp;&nbsp;วิธีที่ 2 	หักผ่านบัญชีเงินฝากออมทรัพย์ ธนาคารกรุงไทย จำกัด (มหาชน) (ค่าธรรมเนียมรายการละ 5.- บาท)</div>"
                      "<div>&nbsp;&nbsp;&nbsp;&nbsp;วิธีที่ 3 	Internet Banking (เฉพาะ Krungthai NEXT Application เท่านั้น) (ไม่เสียค่าธรรมเนียม)</div>"
                      "</div></p>",
                      style: {'*': Style(color: Colors.white, fontSize: FontSize(14))}),
                ],
              ),
            ),
          )),
    );
  }
}
