import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/service/user_service.dart';

class ChangePassViewModel extends ChangeNotifier {
  UserService userService = UserService();

  var passwordController = TextEditingController();
  var confirmPasswordController = TextEditingController();


  Future<Map<String, dynamic>> submitResetPassword() async {
    if (invalidInput()) {
      throw Exception();
    }
    var response =  userService.changePassword(passwordController.text, confirmPasswordController.text);

    return response;
  }

  bool invalidInput() {
    if(passwordController.text.isEmpty) {
      throw Exception('กรุณากรอกรหัสผ่านใหม่');
    } else if(confirmPasswordController.text.isEmpty) {
      throw Exception('กรุณากรอกยืนยันรหัสผ่าน');
    } else if(passwordController.text != confirmPasswordController.text) {
      throw Exception('กรุณากรอกรหัสผ่านให้ตรงกัน');
    } else if(passwordController.text.length < 8) {
      throw Exception('กรุณากำหนดรหัสผ่าน 8 หลัก');
    } else if(!validFormatPassword(passwordController.text)) {
      throw Exception('กรุณากำหนดรหัสผ่านให้ประกอบไปด้วยตัวเลขตัวอักษร และอักขระ');
    }

    return false;
  }

  bool validFormatPassword(String password) {
    var hasCharacters = RegExp('[a-zA-Z]').hasMatch(password);
    var hasNumbers = RegExp('[0-9]').hasMatch(password);
    var hasSymbol = RegExp(r'[!@#$%^&*(),.?":{}|<>]').hasMatch(password);

    return hasCharacters && hasNumbers && hasSymbol;
  }
}
