import 'package:flutter/material.dart';
import 'package:flutter_custom_tabs/flutter_custom_tabs.dart';
import 'package:pea_cremation/shares/app_drawer.dart';

class ContactPage extends StatefulWidget {
  static const routeName = '/contactPage';
  @override
  _ContactPageState createState() => _ContactPageState();
}

class _ContactPageState extends State<ContactPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        toolbarHeight: 120,
        title: SizedBox(
          width: double.infinity,
          child: Padding(
            padding: const EdgeInsets.only(left: 16, top: 24),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("ติดต่อเรา",
                    style: TextStyle(color: Colors.white, fontSize: 24)),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 16.0),
                  child: Text("แผนกฌาปนกิจสงเคราะห์",
                      style: TextStyle(color: Colors.white, fontSize: 24)),
                )
              ],
            ),
          ),
        ),
        backgroundColor: Color(0xFF7F3F97),
        leading: AppDrawer.appBarLeadIcon(context),
      ),
      drawer: AppDrawer().getAppDrawer(context),
      backgroundColor: Color(0xFF453654),
      body: SafeArea(
          child: SingleChildScrollView(
            child: Column(
        children: [
            Padding(
              padding: const EdgeInsets.only(left: 16, right: 16, top: 32),
              child: Row(crossAxisAlignment: CrossAxisAlignment.start, children: [
                Padding(
                  padding: const EdgeInsets.only(left: 8, right: 8),
                  child: Icon(
                    Icons.location_on,
                    color: Color(0XFF757575),
                  ),
                ),
                Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
                  Text(
                      "แผนกฌาปนกิจสงเคราะห์\nกองสวัสดิการ",
                      style: TextStyle(
                          color: Colors.white,
                          fontSize: 14,
                          fontWeight: FontWeight.bold),
                      textAlign: TextAlign.start,
                      maxLines: 2),
                  // Padding(
                  //   padding: const EdgeInsets.only(top: 8.0),
                  //   child: Text(
                  //     "585 Saint Catherine Street West, Montreal, QC",
                  //     style: TextStyle(color: Colors.white70, fontSize: 12),
                  //     textAlign: TextAlign.start,
                  //   ),
                  // ),
                  Text("การไฟฟ้าส่วนภูมิภาค สำนักงานใหญ่\n200 ถนนงามวงศ์วาน ลาดยาว จตุจักร\nกรุงเทพ 10900", style: TextStyle(color: Colors.white, fontSize: 14)),
                  Padding(
                    padding: const EdgeInsets.only(top:16.0),
                    child: Text("โทร : 02-590-5227\nหรือ 02-590-9489\nCall center : 1129", style: TextStyle(color: Colors.white, fontSize: 14)),
                  ),
                ]),
              ]),
            ),
            Padding(
              padding: const EdgeInsets.all(32.0),
              child: InkWell(child: Image(image: AssetImage('assets/map@3x.png')), onTap: (){
                _launchURL(context, "https://goo.gl/maps/h2G3SZoUXxB4pbUo7");
              },),
            ),
        ],
      ),
          )),
    );
  }
  
  void _launchURL(BuildContext context, String url) async {
    try {
      await launch(
        url,
        option: new CustomTabsOption(
          toolbarColor: Color(0xff8a56ac),
          enableDefaultShare: true,
          enableUrlBarHiding: true,
          showPageTitle: true,
          animation: new CustomTabsAnimation.slideIn(),
        ),
      );
    } catch (e) {
      // An exception is thrown if browser app is not installed on Android device.
      debugPrint(e.toString());
    }
  }
}
