import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/model/dead_member.dart';
import 'package:pea_cremation/domain/service/dead_service.dart';

class DeadPageViewModel extends ChangeNotifier {

  DeadService deadService = DeadService();

  int minYear = 2558;
  int currentYear = (DateTime
      .now()
      .year + 543);
  int selectedYear = (DateTime
      .now()
      .year + 543);

  int selectedMonth = 99;

  Future<List<DeadMember>> deadMemberList;

  bool isLoading = false;
  bool isLoadMore = false;
  int page = 1;
  var totalCount = 0;
  bool call = false;

  void searchClick() {
    if (selectedYear == 2558 && selectedMonth< 9) {
      throw Exception('ระบุข้อมูลย้อนหลังได้ไม่เกิน กันยายน 2558');
    }

    deadMemberList = getFirstMemberList(selectedMonth, selectedYear);
  }

  void init() {
    if(call) {
      return;
    }
    call = true;

    page = 1;
    isLoadMore = false;
    deadMemberList = getFirstMemberList(selectedMonth, selectedYear);
  }

  Future<List<DeadMember>> getMemberList(int selectedMonth, int selectedYear, int page) {
    print('getMemberList(int selectedMonth, int selectedYear, int page)');
    deadMemberList = deadService.getDeadMember(selectedMonth, selectedYear, page);

    return deadMemberList;
  }

  void loadMoreData() async {
    print('call_ $page');
    page+=1;
    print('call__ $page');

    isLoadMore = true;

    try {
      List<DeadMember> moreDeadMemberList = await deadService.getDeadMember(
          selectedMonth, selectedYear, page);

      isLoadMore = moreDeadMemberList.length == 0;

      (await deadMemberList).addAll(moreDeadMemberList);

      isLoading = false;
    } catch(e){
      print(e);
    }
  }

  Future<List<DeadMember>> getFirstMemberList(int selectedMonth, int selectedYear) async {
    page = 1;
    isLoadMore = false;

    var results = await deadService.getDeadMemberWithTotalCount(selectedMonth, selectedYear, page);

    var data = results['data'] as List;

    totalCount = results['total'];
    // deadMemberList =

    return data.map((json) => DeadMember.fromJson(json)).toList();
  }
}
