import 'dart:io';

import 'package:flutter/material.dart';
import 'package:image_gallery_saver/image_gallery_saver.dart';
import 'package:intl/intl.dart';
import 'package:pea_cremation/domain/model/invoice.dart';
import 'package:pea_cremation/domain/model/invoice_info.dart';
import 'package:pea_cremation/domain/model/receipt_info.dart';
import 'package:pea_cremation/domain/service/payment_service.dart';
import 'package:pea_cremation/pages/invoice/receipt/receipt_view_model.dart';
import 'package:pea_cremation/pages/invoice/receipt/receipt_view_page_arguments.dart';
import 'package:provider/provider.dart';

class InvoiceViewModel extends ChangeNotifier {

  PaymentService paymentService = PaymentService();

  NumberFormat numberFormat = NumberFormat("#,##0");

  String month;
  String year;

  Future<InvoiceInfo> getInvoiceData() {
    return paymentService.getInvoice(month, year);
  }

  Future<dynamic> saveImage(File image) {
    return ImageGallerySaver.saveFile(image.path);
  }

}