import 'dart:io';

import 'package:flutter/material.dart';
import 'package:image_gallery_saver/image_gallery_saver.dart';
import 'package:intl/intl.dart';
import 'package:pea_cremation/domain/model/receipt.dart';
import 'package:pea_cremation/domain/model/receipt_info.dart';
import 'package:pea_cremation/domain/service/payment_service.dart';

class ReceiptViewModel extends ChangeNotifier {

  PaymentService paymentService = PaymentService();
  NumberFormat numberFormat = NumberFormat("#,##0");

  Receipt receipt;
  int month;
  int year;

  Future<ReceiptInfo> getReceiptData() {
    return paymentService.getReceipt(getMonth(receipt.payDate), getYear(receipt.payDate), receipt.receiveNo);
  }

  int getMonth(String payDate) {
    return int.parse(payDate.substring(4, 6));
  }

  int getYear(String payDate) {
    return int.parse(payDate.substring(0, 4));
  }

  Future<dynamic> saveImage(File image) {
    // ImageGallerySaver.
    return ImageGallerySaver.saveImage(image.readAsBytesSync());
  }
}
