import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/model/user.dart';
import 'package:pea_cremation/domain/service/user_service.dart';

class LoginPageViewModel extends ChangeNotifier {
  Future<User> user;
  UserService userService = UserService();

  final usernameController = TextEditingController();
  final passwordController = TextEditingController();

  var memberType = 1;
  var remember = false;
  var isLoading = false;

  String error;

  Future<User> login() async {
    try {
      if (memberType == 1) {
        user = type1Login();
      } else {
        user = type2And3Login();
      }
    } catch (e) {
      throw Exception(e.message);
    }

    return user;
  }

  Future<User> type1Login() {
    return userService.idmLogin(
        usernameController.text, passwordController.text, memberType, remember);
  }

  Future<User> type2And3Login() {
    return userService.login(
        usernameController.text, passwordController.text, memberType, remember);
  }

  Future<String> getPolicy() {
    return userService.getPolicy();
  }

  Future<bool> setAgreeToPolicy() async {
    return userService.applyPolicy();
  }

  void setNotAgreeToPolicy() async {
    user = null;
    userService.clearUserData();
  }
}
