import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/service/benefit_service.dart';
import 'package:pea_cremation/domain/service/user_service.dart';
import 'package:pea_cremation/domain/model/resposibility_member.dart';
import 'package:pea_cremation/domain/model/user.dart';
import 'package:pea_cremation/domain/model/gainer.dart';

class MenuViewModel extends ChangeNotifier {
  Future<User> user;
  Future<String> imageUrl;
  UserService userService = UserService();
  BenefitService benefitService = BenefitService();

  Future<User> loadUserData() {
    user = userService.verifyToken();

    return user;
  }

  Future<List<ResposibilityMember>> getResponsibleList() {
    return benefitService.getResposibleList();
  }

  Future<List<Gainer>> getGainerList() {
    return benefitService.getGainerList();
  }
}
