import 'package:flutter/material.dart';
import 'package:pea_cremation/domain/model/news.dart';
import 'package:pea_cremation/domain/service/news_service.dart';

class NewsPageViewModel extends ChangeNotifier {
  NewsService newsService = NewsService();
  Future<List<News>> newsList;

  bool isLoading = false;
  bool isLoadMore = false;

  int _latestLoaded = 0;

  Future<List<News>> getInformationData() {
    newsList = newsService.getInformationData(0, 10);
    _latestLoaded = 10;

    return newsList;
  }

  void loadMoreData() async {
    isLoadMore = true;

    List<News> moreNewsList = await newsService.getInformationData(_latestLoaded, 10);

    isLoadMore = moreNewsList.length == 0;

    (await newsList).addAll(moreNewsList);

    isLoading = false;
  }
}
