import 'package:barcode_flutter/barcode_flutter.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:pea_cremation/pages/payment/barcode_view_arguments.dart';

class BarcodeView extends StatefulWidget {
  static String routeName = "BarcodeView";

  @override
  _BarcodeViewState createState() => _BarcodeViewState();
}

class _BarcodeViewState extends State<BarcodeView> {
  BarcodeViewArguments args;

  @override
  void initState() {
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.landscapeLeft,
      DeviceOrientation.landscapeRight,
    ]);

    super.initState();
  }

  @override
  void dispose() {
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitDown,
      DeviceOrientation.portraitUp,
    ]);

    super.dispose();
  }
  @override
  Widget build(BuildContext context) {
    args = ModalRoute.of(context).settings.arguments;

    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        title: SizedBox(
          width: double.infinity,
          child: Text("Barcode",
              style: TextStyle(color: Colors.white, fontSize: 24)),
        ),
        leading: new IconButton(
          icon: new Icon(
            Icons.arrow_back,
            color: Colors.white,
          ),
          onPressed: () => Navigator.of(context).pop(),
        ),
        backgroundColor: Color(0xFF7F3F97),
      ),
      body: SafeArea(
        child: Center(
          child: Padding(
            padding: const EdgeInsets.all(32.0),
            child: FittedBox(
              child: BarCodeImage(
                params: Code128BarCodeParams(
                  "|099400016550101 3${args.memberCode}  0",
                  withText: true,
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
