
import 'package:flutter/cupertino.dart';
import 'package:pea_cremation/domain/service/user_service.dart';
import 'package:pea_cremation/pages/aboutus/aboutus_page.dart';
import 'package:pea_cremation/pages/changepass/change_pass_page.dart';
import 'package:pea_cremation/pages/changepass/change_pass_view_model.dart';
import 'package:pea_cremation/pages/contact/contact_page.dart';
import 'package:pea_cremation/pages/dead/dead_page.dart';
import 'package:pea_cremation/pages/dead/dead_page_view_model.dart';
import 'package:pea_cremation/pages/download/form_download_page.dart';
import 'package:pea_cremation/pages/download/form_download_view_model.dart';
import 'package:pea_cremation/pages/forgotpass/forgot_pass_page.dart';
import 'package:pea_cremation/pages/forgotpass/forgot_pass_page_view_model.dart';
import 'package:pea_cremation/pages/invoice/invoice/invoice_view_model.dart';
import 'package:pea_cremation/pages/invoice/invoice/invoice_view_page.dart';
import 'package:pea_cremation/pages/invoice/invoice_download_page.dart';
import 'package:pea_cremation/pages/invoice/invoice_download_view_model.dart';
import 'package:pea_cremation/pages/invoice/receipt/receipt_view_model.dart';
import 'package:pea_cremation/pages/invoice/receipt/receipt_view_page.dart';
import 'package:pea_cremation/pages/landing/landing_page.dart';
import 'package:pea_cremation/pages/landing/landing_page_view_model.dart';
import 'package:pea_cremation/pages/login/login_page.dart';
import 'package:pea_cremation/pages/login/login_page_view_model.dart';
import 'package:pea_cremation/pages/menu/menu_page.dart';
import 'package:pea_cremation/pages/menu/menu_viewmodel.dart';
import 'package:pea_cremation/pages/news/news_page.dart';
import 'package:pea_cremation/pages/news/news_page_view_model.dart';
import 'package:pea_cremation/pages/payment/barcode_view.dart';
import 'package:pea_cremation/pages/payment/payment_page.dart';
import 'package:pea_cremation/pages/payment/payment_page_view_model.dart';
import 'package:pea_cremation/pages/personal/personal_page.dart';
import 'package:pea_cremation/pages/personal/personal_page_view_model.dart';
import 'package:pea_cremation/pages/register/register_page.dart';
import 'package:pea_cremation/pages/register/register_page_view_model.dart';
import 'package:pea_cremation/shares/app_drawer.dart';
import 'package:provider/provider.dart';

class PEACremation {

  static void openCremationMenuPage(BuildContext context, String memberCode, clientID, secret) {
    AppDrawer.buildForModule = true;

    UserService().getUserToken(memberCode, clientID, secret).then((value) {
      if(value != null && value != '') {
        Navigator.pushNamed(context, MenuPage.routeName);
      } else {
        throw Exception('Invalid Authenticator');
      }
    });
  }

  static getRoutes() {
    return {
      MenuPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => MenuViewModel() ,
        child: MenuPage(),
      ),
      LandingPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => LandingPageViewModel(),
        child: LandingPage(),
      ),
      LoginPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => LoginPageViewModel(),
        child: LoginPage(),
      ),
      ForgotPassPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => ForgotPassPageViewModel(),
        child: ForgotPassPage(),
      ),
      RegisterPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => RegisterPageViewModel(),
        child: RegisterPage(),
      ),
      NewsPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => NewsPageViewModel(),
        child: NewsPage(),
      ),
      PersonalPage.routeName:  (context) => ChangeNotifierProvider(
        create: (context) => PersonalPageViewModel(),
        child: PersonalPage(),
      ),
      DeadPage.routeName:  (context) => ChangeNotifierProvider(
        create: (context) => DeadPageViewModel(),
        child: DeadPage(),
      ),
      FormDownloadPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => FormDownloadViewModel(),
        child: FormDownloadPage(),
      ),
      InvoiceDownloadPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => InvoiceDownloadViewModel(),
        child: InvoiceDownloadPage(),
      ),
      ChangePassPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => ChangePassViewModel(),
        child: ChangePassPage(),
      ),
      PaymentPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => PaymentPageViewModel(),
        child: PaymentPage(),
      ),
      ReceiptViewPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => ReceiptViewModel(),
        child: ReceiptViewPage(),
      ),
      InvoiceViewPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => InvoiceViewModel(),
        child: InvoiceViewPage(),
      ),
      BarcodeView.routeName: (context) => ChangeNotifierProvider(
        create: (context) => InvoiceViewModel(),
        child: BarcodeView(),
      ),
      ContactPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => null,
        child: ContactPage(),
      ),
      AboutUsPage.routeName: (context) => ChangeNotifierProvider(
        create: (context) => null,
        child: AboutUsPage(),
      )
    };
  }
}